UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 67000

2016.1 Install - Standalone Hardware Server installation fails on Ubuntu and SUSE

Description

When I try to install Standalone Vivado Hardware Server on an UBUNTU or SUSE Linux machine, the install immediately exits with the following messages:

--------------------------------
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: Interlace handling should be turned on when using png_read_image
Exception in thread "main" java.lang.UnsatisfiedLinkError: /temp/Xilinx_HW_Server_Lin_2016.1_0309_1/tps/lnx32/jre/lib/i386/libawt_xawt.so: libXtst.so.6: cannot open shared object file: No such file or directory
    at java.lang.ClassLoader$NativeLibrary.load(Native Method)
    at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1938)
    at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1821)
    at java.lang.Runtime.load0(Runtime.java:809)
    at java.lang.System.load(System.java:1086)
    at java.lang.ClassLoader$NativeLibrary.load(Native Method)
    at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1938)
    at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1842)
    at java.lang.Runtime.loadLibrary0(Runtime.java:870)
    at java.lang.System.loadLibrary(System.java:1122)
    at java.awt.Toolkit$3.run(Toolkit.java:1636)
    at java.awt.Toolkit$3.run(Toolkit.java:1634)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.awt.Toolkit.loadLibraries(Toolkit.java:1633)
    at java.awt.Toolkit.<clinit>(Toolkit.java:1668)
    at java.awt.Component.<clinit>(Component.java:593)
    at com.xilinx.installer.api.InstallerLauncher.main(Unknown Source)
--------------------------------

Solution

The Xilinx_HW_Server_Lin_2016.1 application is 32-bit only. Some 64-bit Ubuntu and SUSE VMs do not support running 32-bit applications.

On Ubuntu: Install the following libraries as indicated in (Xilinx Answer 66184):

  • lib32stdc++6
  • libgtk2.0-0:i386
  • libfontconfig1:i386
  • libx11-6:i386
  • libxext6:i386
  • libxrender1:i386
  • libsm6:i386
  • libqtgui4:i386

Also install libxi6:i386 and libxi6:i386.

At this point Xilinx_HW_Server_Lin_2016.1 should install successfully standalone.

AR# 67000
Date Created 04/07/2016
Last Updated 05/09/2016
Status Active
Type Known Issues
Tools
  • Vivado Design Suite - 2016.1